﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Com.Bocom.OpenApi
{
    /// <summary>
    /// 2.10 查询订单@MPNG-MAPIMPNG020702
    /// </summary>
    public class MPNG020702ResponseV1 : BocomResponse
    {
        public RspBody rsp_body { get; set; }

        public RspHead rsp_head { get; set; }

        public string pay_mer_tran_no { get; set; }

        public string display_code_text { get; set; }

        public class RspHead
        {
            /// <summary>
            /// 交易码 
            /// </summary>
            public string trans_code { get; set; }

            /// <summary>
            /// 响应码
            /// </summary>
            public string response_code { get; set; }

            /// <summary>
            /// 交易状态 P-处理中  F-失败  S-成功 
            /// </summary>
            public string response_status { get; set; }

            /// <summary>
            /// 响应时间 
            /// </summary>
            public string response_time { get; set; }

            /// <summary>
            /// 返回码描述 
            /// </summary>
            public string response_msg { get; set; }
        }

        public class RspBody
        {
            /// <summary>
            /// 支付账户类型 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("account_type") private String accountType;
            internal string accountType;
            public string account_type { get; set; }

            /// <summary>
            /// "" </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("goods_info") private GoodsInfo goodsInfo;
            //internal GoodsInfo goodsInfo;
            public GoodsInfo goods_info { get; set; }

            public class GoodsInfo
            {
                /// <summary>
                /// 商品名称 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("goods_name") private String goodsName;
                //internal string goodsName;
                public string goods_name { get; set; }

                /// <summary>
                /// 商品简称 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("goods_txt") private String goodsTxt;
                //internal string goodsTxt;
                public string goods_txt { get; set; }

                /// <summary>
                /// 商品详情 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("goods_desc") private String goodsDesc;
                //internal string goodsDesc;
                public string goods_desc { get; set; }
            }

            //* ""
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("memo_info") private MemoInfo memoInfo;
            //internal MemoInfo memoInfo;
            public MemoInfo memo_info { get; set; }

            public class MemoInfo
            {
                /// <summary>
                /// 平台商备注 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("plat_memo") private String platMemo;
                //internal string platMemo;
                public string plat_memo { get; set; }

                /// <summary>
                /// 卖家备注 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("seller_memo") private String sellerMemo;
                //internal string sellerMemo;
                public string seller_memo { get; set; }

                /// <summary>
                /// 付款备注 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("pay_memo") private String payMemo;
                //internal string payMemo;
                public string pay_memo { get; set; }

                /// <summary>
                /// 买家备注 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("buyer_memo") private String buyerMemo;
                //internal string buyerMemo;
                public string buyer_memo { get; set; }

                /// <summary>
                /// B2B授权超时时间 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("accr_time_out") private String accrTimeOut;
                //internal string accrTimeOut;
                public string accr_time_out { get; set; }

            } 
            
            //* 交易使用积分
              //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
              //ORIGINAL LINE: @JsonProperty("points") private String points;
            //internal string points;
            public string points { get; set; }

            /// <summary>
            /// INITIAL：初始化 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("order_status") private String orderStatus;
            //internal string orderStatus;
            public string order_status { get; set; }

            /// <summary>
            /// 商户内部备注 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("mer_memo") private String merMemo;
            //internal string merMemo;
            public string mer_memo { get; set; }

            /// <summary>
            /// "" </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("user_info") private UserInfo userInfo;
            //internal UserInfo userInfo;
            public UserInfo user_info { get; set; }

            public class UserInfo
            {
                /// <summary>
                /// 卖家昵称 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("seller_name") private String sellerName;
                //internal string sellerName;
                public string seller_name { get; set; }

                /// <summary>
                /// 买家昵称 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("buyer_name") private String buyerName;
                //internal string buyerName;
                public string buyer_name { get; set; }

                /// <summary>
                /// 买家会员编号 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("buyer_id") private String buyerId;
                //internal string buyerId;
                public string buyer_id { get; set; }

                /// <summary>
                /// 卖家id </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("seller_id") private String sellerId;
                //internal string sellerId;
                public string seller_id { get; set; }
            } 
            
            //* 第三方活动优惠金额
              //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
              //ORIGINAL LINE: @JsonProperty("trd_dsct_amount") private String trdDsctAmount;
            //internal string trdDsctAmount;
            public string trd_dsct_amount { get; set; }

            /// <summary>
            /// "" </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("require_values") private RequireValues requireValues;
            //internal RequireValues requireValues;
            public RequireValues require_values { get; set; }

            public class RequireValues
            {
                /// <summary>
                /// 无描述 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("bank_tran_no") private String bankTranNo;
                //internal string bankTranNo;
                public string bank_tran_no { get; set; }

                /// <summary>
                /// 无描述 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("third_party") private String thirdParty;
                //internal string thirdParty;
                public string third_party { get; set; }
            } 
            
            //* ""
              //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
              //ORIGINAL LINE: @JsonProperty("mer_info") private MerInfo merInfo;
            //internal MerInfo merInfo;
            public MerInfo mer_info { get; set; }

            public class MerInfo
            {
                /// <summary>
                /// 商户编号 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("mer_ptc_id") private String merPtcId;
                //internal string merPtcId;
                public string mer_ptc_id { get; set; }

                /// <summary>
                /// 商户简称 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("mer_name_cn") private String merNameCn;
                //internal string merNameCn;
                public string mer_name_cn { get; set; }

                /// <summary>
                /// 商户所属分行 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("mer_open_branch") private String merOpenBranch;
                //internal string merOpenBranch;
                public string mer_open_branch { get; set; }
            } 
            
            //* PROCESS：处理中
              //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
              //ORIGINAL LINE: @JsonProperty("tran_state") private String tranState;
            //internal string tranState;
            public string tran_state { get; set; }

            /// <summary>
            /// 币种目前只支持CNY </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("currency") private String currency;
            //internal string currency;
            public string currency { get; set; }

            /// <summary>
            /// 买家实付金额 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("buyer_pay_amount") private String buyerPayAmount;
            //internal string buyerPayAmount;
            public string buyer_pay_amount { get; set; }

            /// <summary>
            /// 订单号 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("sys_order_no") private String sysOrderNo;
            //internal string sysOrderNo;
            public string sys_order_no { get; set; }

            /// <summary>
            /// 交易状态码 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("tran_state_code") private String tranStateCode;
            //internal string tranStateCode;
            public string tran_state_code { get; set; }

            /// <summary>
            /// 交易状态提示 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("tran_state_msg") private String tranStateMsg;
            //internal string tranStateMsg;
            public string tran_state_msg { get; set; }

            /// <summary>
            /// "" </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("pay_detail_info") private java.util.List<PayDetailInfo> payDetailInfo;
            //internal IList<PayDetailInfo> payDetailInfo;
            public List<PayDetailInfo> pay_detail_info { get; set; }

            public class PayDetailInfo
            {
                /// <summary>
                /// 付款日期 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("pay_date") private String payDate;
                //internal string payDate;
                public string pay_date { get; set; }

                /// <summary>
                /// 流水状态 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("pay_state") private String payState;
                //internal string payState;
                public string pay_state { get; set; }

                /// <summary>
                /// 流水金额 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("pay_amt") private String payAmt;
                //internal string payAmt;
                public string pay_amt { get; set; }

                /// <summary>
                /// 银行流水备注 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("pay_bank_memo") private String payBankMemo;
                //internal string payBankMemo;
                public string pay_bank_memo { get; set; }

                /// <summary>
                /// 所属银行名称 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("pay_bank_name") private String payBankName;
                //internal string payBankName;
                public string pay_bank_name { get; set; }

                /// <summary>
                /// 银行交易流水号 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("pay_no") private String payNo;
                //internal string payNo;
                public string pay_no { get; set; }

                /// <summary>
                /// 商户流水备注 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("pay_memo") private String payMemo;
                //internal string payMemo;
                public string pay_memo { get; set; }

                /// <summary>
                /// 流水类型 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("pay_type") private String payType;
                //internal string payType;
                public string pay_type { get; set; }

                /// <summary>
                /// 支付类型 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("channel_type") private String channelType;
                //internal string channelType;
                public string channel_type { get; set; }

                /// <summary>
                /// 商户流水号 </summary>
                //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
                //ORIGINAL LINE: @JsonProperty("mer_tran_serial_no") private String merTranSerialNo;
                //internal string merTranSerialNo;
                public string mer_tran_serial_no { get; set; }
            } 
            
            //* 商户交易编号
              //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
              //ORIGINAL LINE: @JsonProperty("pay_mer_tran_no") private String payMerTranNo;
            //internal string payMerTranNo;
            public string pay_mer_tran_no { get; set; }

            /// <summary>
            /// 商户订单总金额 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("total_amount") private String totalAmount;
            //internal string totalAmount;
            public string total_amount { get; set; }

            /// <summary>
            /// 商户已退款金额 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("refunded_amt") private String refundedAmt;
            //internal string refundedAmt;
            public string refunded_amt { get; set; }

            /// <summary>
            /// 交易内容 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("tran_content") private String tranContent;
            //internal string tranContent;
            public string tran_content { get; set; }

            /// <summary>
            /// 支付优惠金额 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("pay_dsct_amount") private String payDsctAmount;
            //internal string payDsctAmount;
            public string pay_dsct_amount { get; set; }
        }

    }
}
